

<style>


  * {
    margin: 0;
  }
  html, body {
    height: 100%;
  }
  .wrapper {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -4em;

  }
  .footer, .push {
    height: 20em;
    margin: auto;
    width: 20%;
    padding: 10px;


  }

  .center_div{
    margin: 0 auto;
    width:80% /* value of your choice which suits your alignment */
  }


  p {
    color: red;
  }
  .red{
    color: red;
  }
  #tfnewsearch{
    float:right;
    padding:20px;
  }
  .tftextinput{
    margin: 0;
    padding: 5px 15px;
    font-family: Arial, Helvetica, sans-serif;
    font-size:14px;
    border:1px solid #0076a3; border-right:0px;
    border-top-left-radius: 5px 5px;
    border-bottom-left-radius: 5px 5px;
  }
  .tfbutton {
    margin: 0;
    padding: 5px 15px;
    font-family: Arial, Helvetica, sans-serif;
    font-size:14px;
    outline: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    color: #ffffff;
    border: solid 1px #0076a3; border-right:0px;
    background: #0095cd;
    background: -webkit-gradient(linear, left top, left bottom, from(#00adee), to(#0078a5));
    background: -moz-linear-gradient(top,  #00adee,  #0078a5);
    border-top-right-radius: 5px 5px;
    border-bottom-right-radius: 5px 5px;
  }
  .tfbutton:hover {
    text-decoration: none;
    background: #007ead;
    background: -webkit-gradient(linear, left top, left bottom, from(#0095cc), to(#00678e));
    background: -moz-linear-gradient(top,  #0095cc,  #00678e);
  }
  /* Fixes submit button height problem in Firefox */
  .tfbutton::-moz-focus-inner {
    border: 0;
  }
  .tfclear{
    clear:both;
  }


</style>

<div ng-include="'./app/view/Includes/Header.html'"></div>
<br>
<br>

<div class="container">

  <div class="container">
    <div class="mainDiv">
      <div class="inputBox">
        <input class="tftextinput" type="text" auto-complete-directive url={{categorSearchUrl}} ng-model="searchParameter" placeholder="Search CategoryName ">
      </div>
      <div class="crossMark"  ng-click="clearSearchResult(1)">
        <img src="../../img/remove-icon-3184.png">
      </div>
      <div  class="searchButton">
        <button  type="button"   ng-click="searchCategories(searchParameter)">
          Search
        </button>
      </div>
    </div>

  <!--<div id="tfheader">
    <input class="tftextinput" type="text" auto-complete-directive url={{categorSearchUrl}} ng-model="searchParameter" placeholder="Search CategoryName ">
    <button type="button"  ng-click="searchCategories(searchParameter)" class="tfbutton">search</button>
    <div class="tfclear">
    </div>
  </div>-->
  <br>
    <br>
    <br>
  <div class="row">
    <div class="col-xs-12">

    </div>
    <div class="col-xs-12">
      <div class="box">
        <div class="box-header">
          <h3 class="box-title">Category Details</h3>
          <div class="box-tools">
            <div class="input-group" style="width: 150px;">
              <div class="input-group-btn">
 <span>
                <add-category ></add-category>
</span>

                <span style="margin-left: 10px">
                   <add-category-label ></add-category-label>
                  </span>



                <!--  <a class="btn btn-sm btn-default btn-primary" ng-click="openAddCategory()" >Add Label</a>-->
              </div>
            </div>
          </div>
        </div>

        <div class="box-body table-responsive no-padding">
          <table id="example2" class="table table-hover">
            <thead>
            <tr>
              <th>Category Name</th>
              <th>Category Label</th>
              <th>Action</th>
            </tr>
            </thead>
            <tbody style="overflow: scroll;height: 40px">
            <tr ng-repeat="categories in categoryDetails ">
              <td>{{categories.categoryName}}</td>
              <td>{{categories.subCategory.name}} </td>
              <td>
                <add-category main-category-data="categories"></add-category>
                <!--<button class="btn btn-info" ng-click="openAddCategory(categories)" >Edit</button>-->
                <button class="btn btn-danger" ng-click="openDeleteCategory(categories)" >Delete</button>
              </td>
            </tr>
            </tbody>

          </table>
        </div>
        <div ng-if="categoryDetails.length == 0">
          <font style="font-size: 20px; align:center; padding-left: 416px;">Sorry, No Search Results Available</font>
        </div>
      </div>

    </div>

  </div>

</div>

<br/><br/>

<div class="footer" style="min-width:100%;max-width:100%;text-align:center" ng-if="searchPaginationCategory===0">

  <pagination total-items="subCategoryPaginationCount" ng-model="bigCurrentPageCategory"
              max-size="5" class="pagination-sm" boundary-links="true"
              rotate="false" ng-click="categoryPagination(bigCurrentPageCategory)"  num-pages="numPages"></pagination>

</div>
<div class="footer" style="min-width:100%;max-width:100%;text-align:center" ng-if="searchPaginationCategory===1">
  <pagination total-items="subSearchCategoryPaginationCount" ng-model="bigCurrentPageCategory"
              max-size="5" class="pagination-sm" boundary-links="true"
              rotate="false" ng-click="categorySearchPagination(bigCurrentPageCategory,searchCategoryName)"  num-pages="numPages"></pagination>
</div>





</div>






